Loading...
Searching...
No Matches
ElasticSearchDataProvider::ElasticSearchPipelineUpdateDataProvider Class Reference

The ElasticSearch pipeline update API data provider. More...

`#include <ElasticSearchPipelineUpdateDataProvider.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchPipelineUpdateDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchPipelineCreateDataProvider
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
Public Attributes inherited from ElasticSearchDataProvider::ElasticSearchPipelineCreateDataProvider
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | QueryArgs = ("if_version", "master_timeout", "timeout")
| Query args.
const | RequestType = new ElasticSearchPipelineCreateRequestDataType()
| Request type.
const | ResponseType = new ElasticSearchAcknowledgedDataType()
| Response type.

## Additional Inherited Members

Protected Member Functions inherited from ElasticSearchDataProvider::ElasticSearchPipelineCreateDataProvider
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*DataProvider::AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*DataProvider::AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
Protected Attributes inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase

## Detailed Description

The ElasticSearch pipeline update API data provider.

This API allows the caller to update an ElasticSearch pipeline